declare
  unit_price number;
begin
  for i in 1..100 loop
    select plpdf_demo_order_items.quantity * plpdf_demo_product_info.list_price into unit_price from plpdf_demo_order_items, plpdf_demo_product_info where plpdf_demo_order_items.product_id = plpdf_demo_product_info.product_id and plpdf_demo_order_items.order_item_id = i;
    update plpdf_demo_order_items set plpdf_demo_order_items.unit_price = unit_price where plpdf_demo_order_items.order_item_id = i;
  end loop;
  commit;
end;